/* ===================================
   404 ERROR PAGE
=================================== */

.error-section{
    background:#f7f8fc;
    padding:20px 0;
}

.error-grid{
    display:grid;
    grid-template-columns:1fr;
    justify-items:center;
    align-items:center;
}

.error-content-wrapper{
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    text-align:center;
    gap:25px;
    width:100%;
    max-width:900px;
    margin:0 auto;
}

.error-code{
    font-size:90px;
    line-height:1;
    font-weight:900;
    color:#0B5FFF;
    margin-bottom:10px;
}

.error-content{
    display:flex;
    flex-direction:column;
    align-items:center;
    text-align:center;
}

.error-content h1{
    color:#071C63;
    font-size:46px;
    font-weight:800;
    line-height:1.1;
    margin-bottom:10px;
}

.error-content h1 span{
    display:block;
    color:#2563ff;
}

.error-content p{
    color:#667085;
    font-size:16px;
    line-height:1.8;
    margin-bottom:10px;
    max-width:650px;
    margin-left:auto;
    margin-right:auto;
}

.error-buttons{
    margin-top:20px;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:15px;
    flex-wrap:wrap;
}

.primary-btn{
    background:#0B5FFF;
    color:#fff;
    text-decoration:none;
    border: 1px solid #dbe7ff;
    padding:10px 20px;
    border-radius:10px;
    font-weight:700;
    transition: .3s;
}

.primary-btn:hover{
    background:#fff;
    color:#0B5FFF;
    border: 1px solid #dbe7ff;
}

.secondary-btn{
    background:#fff;
    color:#071C63;
    text-decoration:none;
    padding:10px 20px;
    border:1px solid #dbe7ff;
    border-radius:10px;
    font-weight:700;
    transition: .3s;
}

.secondary-btn:hover{
    background:#0B5FFF;
    color:#fff;
}


@media(max-width:992px){

    .error-grid{
        grid-template-columns:1fr;
    }

    .error-content-wrapper{
        flex-direction:column;
        text-align:center;
        align-items:center;
    }

    .error-features{
        justify-content:center;
        flex-wrap:wrap;
    }

    .error-buttons{
        justify-content:center;
    }
}

@media (max-width:768px){

    .error-code{
        font-size:60px;
    }

    .error-content h1{
        font-size:36px;
    }

    .error-buttons{
        flex-direction:column;
        width:100%;
    }

    .primary-btn,
    .secondary-btn{
        width:100%;
        max-width:320px;
        text-align:center;
    }
}